Bug 719707 - Review Request: PyKDE4 - Python bindings for KDE4
Review Request: PyKDE4 - Python bindings for KDE4
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2011-07-07 13:48 EDT by Rex Dieter
Modified: 2012-01-01 15:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-08 11:11:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jreznik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Jaroslav Reznik 2011-07-08 09:58:21 EDT
Name: ok
Summary: ok
License: ok
URL: ok
Source: ok (md5sum 6b6cf2d53aa0324ab443b887b08a8410)

BuildRequires: ok

Macros are used consistently: ok
Documentation included: ok

Package builds: ok

Otherwise it's a simple feature-less package. This package is based on the original monolithic kdebindings spec file and PyKDE4 subpackage.

To be checked: shouldn't the new package conflicts with old kdebindings?
Comment 2 Rex Dieter 2011-07-08 10:06:21 EDT
prior kdebindings simply made a PyKDE4 subpkg, so upgrading to a newer separately-built PyKDE4 should go clean, without any need for Conflicts (not considering -debuginfo, but that'll get sorted out once all the spilts are done).
Comment 3 Jaroslav Reznik 2011-07-08 10:11:30 EDT
(In reply to comment #2)
> prior kdebindings simply made a PyKDE4 subpkg, so upgrading to a newer
> separately-built PyKDE4 should go clean, without any need for Conflicts (not
> considering -debuginfo, but that'll get sorted out once all the spilts are
> done).

Ok, thank Rex. I expected so, just some short circuit in my head asked this question.

I don't see any other issues here -> APPROVED
Comment 4 Rex Dieter 2011-07-08 10:24:59 EDT
Thanks!

New Package SCM Request
=======================
Package Name: PyKDE4
Short Description: Python bindings for KDE4
Owners: than,rdieter,jreznik,ltinkl,rnovacek,dmalcolm
Branches: f15
InitialCC:
Comment 5 Jon Ciesla 2011-07-08 10:31:59 EDT
Git done (by process-git-requests).
Comment 6 Rex Dieter 2011-07-08 11:11:57 EDT
imported.

Note You need to log in before you can comment on or make changes to this bug.